Skip to main content
GET
/
api
/
runs
/
metrics
Query metrics from a run
curl --request GET \
  --url https://pluto-api.trainy.ai/api/runs/metrics \
  --header 'Authorization: Bearer <token>'
{
  "metrics": [
    {
      "logName": "<string>",
      "logGroup": "<string>",
      "time": "<string>",
      "step": 123,
      "value": 123
    }
  ]
}

Authorizations

Authorization
string
header
required

API key obtained from the mlop dashboard

Query Parameters

runId
number | null

Numeric run ID

projectName
string
required

Project name

logName
string

Filter by metric name (e.g., train/loss)

logGroup
string

Filter by metric group (e.g., train)

limit
number
default:2000

Maximum data points to return

Required range: 1 <= x <= 10000

Response

200 - application/json

Metrics data

metrics
object[]
required